Subject: bug#22097: Ispell: lazy highlighting doesn't work properly.

From: Juri Linkov <[email-masked]>
Date: Thu, 10 Dec 2015 02:04:50 +0200

> Lazy highlight doesn't want to try matching in those skip-regions, and
> since it cannot support non-contiguous regions

Adding support for non-contiguous regions to lazy-highlight is trivial -
the same way we did it recently for query-replace.  But to use it we
need a list of boundaries of skipped regions from ispell.  I guess this
shouldn't be too difficult to do using regexps that Alan fixed today
in ispell-skip-region-list.